#ifndef _EFSTRING_H
#define _EFSTRING_H

#define TYPE_MASK	0xc0000000	/* type mask */
#define ROOT_MASK	0x3fffffff	/* root mask */
#define ROOT_ZERO	0x20000000	/* zero root */

#define E_BASE		0x40000000
#define F_BASE		0x80000000
#define H_BASE		0xc0000000

#define eflist	list

#define efl_mkelm(t,r)		((t) + ROOT_ZERO + (r))
#define efl_set(l,i,t,r)	(l_intelem(l,i) = (t) + ROOT_ZERO + (r))
#define efl_gettype(l,i)	((l_intelem(l,i)) & TYPE_MASK)
#define efl_getroot(l,i)	(((l_intelem(l,i)) & ROOT_MASK) - ROOT_ZERO)

#endif
