#!/bin/sh

backupfile=`date +"Backup/dynk-%y%m%d-%H%M%S.tar"`

echo "updating dependencies..."
./mkdep.sh

filelist=`echo README MANUAL LICENSE COPYING Makefile dependencies \
          *.c *.h *.sh psbruhat cmplie cmpagain makeliedata *.perm`

dynlist=""
for file in $filelist; do
  dynlist="$dynlist dynkin/$file"
done

cd ..
tar cvf dynkin/$backupfile $dynlist && gzip dynkin/$backupfile
