/*  Dynkin project programs
 *  Copyright (C) 1998 Anders S. Buch (abuch@mi.aau.dk)
 *  See the file LICENSE for license information.
 */

#include "entrynum.h"

int entry_to_number(int i, int j)
{
  return i * (i + 1) / 2 + j;
}

void number_to_entry(int num, int *i, int *j)
{
  int n2 = num * 2;
  int x;
  for (x = 0; (x + 1) * (x + 2) <= n2; x++)
    ;
  *i = x;
  *j = num - x * (x + 1) / 2;
}
