#ifndef _SCONST_H
#define _SCONST_H

#include "list.h"
#include "matrix.h"
#include "affine.h"

#if 0
#define USE_EKS_NMAT
#endif

int find_root(list *plus_roots, vector *a);
matrix *build_add_matrix(list *plus_roots, int addsub);
matrix *build_pair_matrix(affine *afn);

void calc_sconsts(affine *afn, matrix *addmat, matrix *submat,
		     matrix *Npos, matrix *Nneg);

int add_roots(matrix *addmat, matrix *submat, int i, int j);
#define sub_roots(am,sm,i,j)	add_roots(am,sm,i,-(j))
int get_n_value(matrix *Npos, matrix *Nneg, int i, int j);
int get_pair(matrix *pair_mat, int i, int j);

#endif
